%define oname SiriKali

Name:           sirikali
Version:        1.3.1
Release:        %mkrel 1
Summary:        SiriKali is a Qt/C++ GUI front end to encfs,cryfs,gocryptfs,ecryptfs and securefs.
License:        GPL-2.0+
Group:          Security
Source:         %{oname}-%{version}.tar.xz
URL:            http://mhogomchungu.github.io/sirikali

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: glibc-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}secret-devel

BuildRequires: 	qtbase5-common-devel
BuildRequires: 	%{_lib}qt5widgets-devel
BuildRequires: 	%{_lib}qt5core-devel
BuildRequires:	%{_lib}qt5gui-devel
BuildRequires:	%{_lib}qt5network-devel
BuildRequires:	%{_lib}qt5base5-devel


%description
SiriKali is a Qt/C++ GUI front end to encfs,cryfs,gocryptfs,ecryptfs and securefs.

%prep
%setup -qn %{oname}-%{version}

%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=/usr -DQT5=true -DNOKDESUPPORT=true -DNOSECRETSUPPORT=false -DCMAKE_BUILD_TYPE=RELEASE ..

%install
cd build
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/sirikali

%files
%defattr(0755,root,root)
%{_bindir}/sirikali
%{_bindir}/sirikali.pkexec
%{_datadir}/applications/sirikali.desktop
%{_mandir}/man1/%{name}.*
%dir %{_datadir}/sirikali/translations
%dir %{_datadir}/sirikali
%defattr(0644,root,root)
%{_datadir}/icons/hicolor/48x48/apps/sirikali.png
%{_datadir}/icons/hicolor/256x256/apps/sirikali.png
%{_datadir}/pixmaps/sirikali.png
%{_datadir}/icons/sirikali.png
%{_datadir}/sirikali/translations/en_US.qm
%{_datadir}/sirikali/translations/fr_FR.qm
%{_datadir}/sirikali/translations/es_MX.qm
%{_datadir}/polkit-1/actions/org.sirikali.pkexec.policy


%changelog
* Mon Apr 09 2018 adrianomorselli <adrianomorselli> 1.3.1-1uplos2018
- update
- thanks to Agent Smith
